Bug 229513 - textproc/p5-YAML-LibYAML: Update to 0.72
Summary: textproc/p5-YAML-LibYAML: Update to 0.72
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL: https://metacpan.org/release/YAML-Lib...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-07-04 12:49 UTC by Sergei Vyshenski
Modified: 2018-07-24 15:17 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (markun)


Attachments
patch to update the port (1.27 KB, patch)
2018-07-04 12:49 UTC, Sergei Vyshenski
no flags Details | Diff
patch to update the port (1.89 KB, patch)
2018-07-18 12:16 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2018-07-04 12:49:31 UTC
Created attachment 194876 [details]
patch to update the port

- update 0.67 -> 0.70
Changes: https://metacpan.org/changes/distribution/YAML-LibYAML
- "portlint -AC" gives non-relevant warns.
- testport of poudriere 3.2.99.20180601 runs ok at 11.2-release-amd64
	with pkg 1.10.99.7, perl 5.26.2
- buil-in perl tests in a clean jail say: "PASS".
Comment 1 markun 2018-07-16 07:32:07 UTC
Please commit.
Thanks.
Comment 2 Sergei Vyshenski 2018-07-16 10:14:22 UTC
Markun,
Thank you. Could you please add flag "+" (which indicates maintainer approval) to the submitted patch in section Attachments of this PR.
Regards, Sergei
Comment 3 Sergei Vyshenski 2018-07-18 12:16:46 UTC
Created attachment 195239 [details]
patch to update the port

A new patch to update to 0.72

- update 0.67 -> 0.72
Changes: https://metacpan.org/changes/distribution/YAML-LibYAML
- "portlint -AC" gives non-relevant warns.
- testport of poudriere 3.2.99.20180601 runs ok at 11.2-release-amd64
	with pkg 1.10.99.7, perl 5.26.2
- buil-in perl tests in a clean jail say: "PASS".
Comment 4 Jochen Neumeister freebsd_committer 2018-07-24 15:16:23 UTC
Landed. Thanks :-)
Comment 5 commit-hook freebsd_committer 2018-07-24 15:17:14 UTC
A commit references this bug:

Author: joneum
Date: Tue Jul 24 15:16:10 UTC 2018
New revision: 475260
URL: https://svnweb.freebsd.org/changeset/ports/475260

Log:
  textproc/p5-YAML-LibYAML: Update to 0.72

  Changelog: https://metacpan.org/release/YAML-LibYAML

  PR:		229513
  Reported by:	Sergei Vyshenski <svysh.fbsd@gmail.com>
  Approved by:	maintainer

Changes:
  head/textproc/p5-YAML-LibYAML/Makefile
  head/textproc/p5-YAML-LibYAML/distinfo